omake(1)

NAME
omake - run GNU make inside an OMNI build tree

SYNOPSIS
omake [variable=value]* [target]

DESCRIPTION
The omake command runs GNU make inside an OMNI build tree. Arguments given to omake on the command line are passed directly on to make, but omake itself generates extra arguments, amongst which are:

TOP=<top>
    This tells make the path from the current directory to the top of the build tree.

CURRENT=<current>
    This is the path from the top of the tree down to the current directory

VPATH=<directories>
    This is a list of the source directories (the equivalent of the current directory in each of the source trees). Make will search through these directories if it can't find a source file in the current directory.

-f <top>/config/config.mk
    This tells make to use config.mk as the makefile. In turn config.mk will include other files from the import trees and will include dir.mk from either the current directory or one of the source directories.

-I <source-directory>
    These arguments tell make to search the source directories for the dir.mk file.

OMAKE_TARGET=<target>
    This is set to the final argument given to omake (usually the target).

SEE ALSO
obuildtree(1)

FILES

<top>/config/sources
    contains a list of the source trees.

<top>/config/config.mk
    is the makefile which omake uses when building inside this tree.

ENVIRONMENT VARIABLES

GNUMAKE
    should be set to the command needed to run GNU make if this is different from make

AUTHOR
Tristan Richardson, ORL